.TH RAWTRAN 1 "October 2018" "Rawtran" "User Commands"
.SH NAME
rawtran \- RAW to FITS converter
.SH SYNOPSIS
.B rawtran
.I [options] file(s)
.SH DESCRIPTION
Rawtran is an utility to convert of raw photos in .CR2, .CRW, MRW, NEF,
RAF, etc. formats to the general astronomical FITS image format [4].
The identification of raw photo type and decoding itself is done via
DCRAW utility by D.Coffin [2]. Dcraw should be available independently.
.PP
This manual page summarises usage only. Visit homepage [1] for
additional description.
.SH OPTIONS
.TP
.B \-c [X|Y|Z|R|V|B|clear|scotopic], [Ri,Gi,Gi1,Gi2,Bi] or [plain,all]
Select a colour band.
.TP
.B \-o filename
Specify an output file name. If this option is not used, the output filename
is determined from the input: any suffix like *.CR2 is replaced by *.fits.
Precede the filename with exclamation point(!) to overwrite an existing file.
.TP
.B \--no-clobber
do not overwrite an existing file
.TP
.B \-eV
Values are stored as an energy-like rather than photon-like quantity.
.TP
.B \-D RAW dark filename
Use the raw photo as a dark frame. Rawtran will try to convert the file to
PGM format by the dcraw recommended command `dcraw -D -4 -j -t 0 file.RAW'
and pass it as `dcraw -K file.pgm'.
Note that sometimes can be necessary to switch-off automatic frame rotation
by using -A "-t 0" option.
.TP
.B \-E FITS dark filename
Use the FITS file as a dark frame. The FITS file must be previously converted
as `dcraw -D -4 -j -t 0 dark.RAW'.
.TP
.B \-C options
Conversions options for dcraw. Default is '-4 -o 5' for standard photometry
filters and '-4 -D' for instrumental bands. Defaults are usually satisfactory
.TP
.B \-X options
Specify options to conversion by dcraw itself. One represents default
parameters: '-q 3 -w'. See also -A.
.TP
.B \-A options
Specify additional options to dcraw itself. If you passed an option with
parameter or more options, please, enclose ones to quotes or apostrophes.
In doubts, use \-X "\-v" to show detailed description of conversion
by dcraw.
.TP
.B \-h, \-\-help
Show summary of options.
.TP
.B \-\-version
Display software version.
.SH EXIT STATUS
0 indicates successful run. A non-zero value is returned when
an error occurred during conversion: 1 means and general error,
2 any RAW file(s) conversion has failed.
If the utility is launched without options or with \-h switch,
zero means that rawtran's internal checker can run dcraw binary
and non-zero value otherwise.
.SH EXAMPLES
Produce a colour FITS and show it in xmunipack:
.LP
.\".PD 0
.LP
.nf
$ rawtran \-o IMG_0666.fits IMG_0666.CR2
$ xmunipack IMG_0666.fits
.fi
.\".PD
.TP
A large set of RAW images can be converted as:
.TP
$ rawtran *.CR2
.TP
Convert an image to be equivalent to humans eye brightness sensitivity at day:
.TP
$ rawtran \-c Y \-o IMG_0666_Y.fits IMG_0666.CR2
.TP
.TP
Convert an image to be nearly equivalent to Landolt's B filter:
.TP
$ rawtran \-c B \-o IMG_0666_B.fits IMG_0666.CR2
.TP
Get green component of RAW:
.TP
$ rawtran \-c Gi \-o IMG_0666_Gi.fits IMG_0666.CR2
.TP
Subtract dark frame:
.TP
$ rawtran \-D IMG_DARK.CR2 IMG_0666.CR2
.SH AUTHOR
Filip Hroch <hroch@physics.muni.cz>
.SH SEE ALSO
dcraw(1), fitspng(1)
.P
[1] Rawtran homepage: http://integral.physics.muni.cz/rawtran,
.P
[2] Dcraw homepage: http://cybercom.net/~dcoffin/dcraw/,
.P
[3] http://munipack.physics.muni.cz/
.P
[4] http://fits.gsfc.nasa.gov/
.P
[5] http://integral.physics.muni.cz/fitspng
